# Tomcat
server:
  port: 9777

# nacos线上地址
nacos:
  addr: 47.116.184.54:8848
  user-name: nacos
  password: nacos
  namespace: cloud-2112
# Spring
spring:

  application:
    # 应用名称
    name: cloud-port
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: ${nacos.addr}
        # nacos用户名
        username: ${nacos.user-name}
        # nacos密码
        password: ${nacos.password}
        # 命名空间
        namespace: ${nacos.namespace}
      config:
        # 服务注册地址
        server-addr: ${nacos.addr}
        # nacos用户名
        username: ${nacos.user-name}
        # nacos密码
        password: ${nacos.password}
        # 命名空间
        namespace: ${nacos.namespace}
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          # 系统共享配置
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          # 系统环境Config共享配置
          - application-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}

          - application-xxl-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          # rabbit 配置文件
          - application-rabbit-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl # 配置 MyBatis 的日志输出实现类，这里是输出到控制台
  mapper-locations: classpath:/mapper/*.xml # MyBatis Mapper 文件的位置，这里假设是 XML 形式的 Mapper
  global-config:
    db-config:
      id-type: auto # 主键生成策略，这里设置为自动增长
      logic-delete-value: 1 # 逻辑删除标记值，例如设置为 1 表示已删除
      logic-not-delete-value: 0 # 逻辑未删除标记值，例如设置为 0 表示未删除
    banner: false # 关闭控制台打印的 MyBatis-Plus Banne
#fdfs:
#  so-timeout: 1500 # socket 连接时长
#  connect-timeout: 600 # 连接 tracker 服务器超时时长
#  # 这两个是你服务器的 IP 地址，注意 23000 端口也要打开，阿里云服务器记得配置安全组。tracker 要和 stroage 服务进行交流
#  tracker-list: 49.235.108.160:22122
#  web-server-url: 49.235.108.160:8888
#  pool:
#    jmx-enabled: false
#  # 生成缩略图
#  thumb-image:
#    height: 500
#    width: 500
